//=============================================================================
// ONI RedGirlC.
//=============================================================================
class ONIRedGirlC extends UnrealIPlayer;

#exec OBJ LOAD FILE=Textures\ONIRedGirlCSkins.utx

#exec AUDIO IMPORT FILE="Sounds\death01.wav" NAME="death01" GROUP="UTFemale"
#exec AUDIO IMPORT FILE="Sounds\death02.wav" NAME="death02" GROUP="UTFemale"
#exec AUDIO IMPORT FILE="Sounds\death03.wav" NAME="death03" GROUP="UTFemale"
#exec AUDIO IMPORT FILE="Sounds\death04.wav" NAME="death04" GROUP="UTFemale"
#exec AUDIO IMPORT FILE="Sounds\death05.wav" NAME="death05" GROUP="UTFemale"
#exec AUDIO IMPORT FILE="Sounds\drown01.wav" NAME="drown01" GROUP="UTFemale"
#exec AUDIO IMPORT FILE="Sounds\gasp01.wav" NAME="gasp01" GROUP="UTFemale"
#exec AUDIO IMPORT FILE="Sounds\hit01.wav" NAME="hit01" GROUP="UTFemale"
#exec AUDIO IMPORT FILE="Sounds\hit02.wav" NAME="hit02" GROUP="UTFemale"
#exec AUDIO IMPORT FILE="Sounds\hit03.wav" NAME="hit03" GROUP="UTFemale"
#exec AUDIO IMPORT FILE="Sounds\hit04.wav" NAME="hit04" GROUP="UTFemale"
#exec AUDIO IMPORT FILE="Sounds\jump01.wav" NAME="jump01" GROUP="UTFemale"
#exec AUDIO IMPORT FILE="Sounds\land01.wav" NAME="land01" GROUP="UTFemale"
#exec AUDIO IMPORT FILE="Sounds\uwhit01.wav" NAME="uwhit01" GROUP="UTFemale"
#exec AUDIO IMPORT FILE="Sounds\uwhit02.wav" NAME="uwhit02" GROUP="UTFemale"
#exec AUDIO IMPORT FILE="Sounds\uwhit03.wav" NAME="uwhit03" GROUP="UTFemale"

#exec ANIM IMPORT ANIM=SoldierAnim ANIMFILE=models\ut_ps2_male_anim.PSA COMPRESS=0.28 IMPORTSEQS=1

#exec MESH MODELIMPORT MESH=ONIRedGirlC MODELFILE=models\ONIRedGirlC.PSK LODSTYLE=12
#exec MESH ORIGIN MESH=ONIRedGirlC X=0 Y=0 Z=135 YAW=192

#exec MESH WEAPONATTACH MESH=ONIRedGirlC BONE="Bip01 R Hand"
#exec MESH WEAPONPOSITION MESH=ONIRedGirlC YAW=0 PITCH=0 ROLL=128 X=1.0 Y=0.0 Z=0.0

#exec MESHMAP SCALE MESHMAP=ONIRedGirlC X=0.3125 Y=0.3125 Z=0.3125
#exec MESH DEFAULTANIM MESH=ONIRedGirlC ANIM=SoldierAnim

#EXEC MESHMAP SETTEXTURE MESHMAP=ONIRedGirlC NUM=0 TEXTURE=ESRedC

// Animation sequences. These can replace or override the implicit (exporter-defined) sequences.
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=AimDnLg STARTFRAME=0 NUMFRAMES=1 RATE=30.0000 COMPRESS=1.00 GROUP=Waiting
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=AimDnSm STARTFRAME=1 NUMFRAMES=1 RATE=30.0000 COMPRESS=1.00 GROUP=Waiting
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=AimUpLg STARTFRAME=2 NUMFRAMES=1 RATE=30.0000 COMPRESS=1.00 GROUP=Waiting
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=AimUpSm STARTFRAME=3 NUMFRAMES=1 RATE=30.0000 COMPRESS=1.00 GROUP=Waiting
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=All STARTFRAME=4 NUMFRAMES=1 RATE=30.0000 COMPRESS=1.00 GROUP=None
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=BackRun STARTFRAME=5 NUMFRAMES=18 RATE=24.0000 COMPRESS=1.00 GROUP=MovingFire
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=BindPose STARTFRAME=23 NUMFRAMES=1 RATE=30.0000 COMPRESS=1.00 GROUP=None
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=Breath1 STARTFRAME=24 NUMFRAMES=25 RATE=10.0000 COMPRESS=1.00 GROUP=Waiting
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=Breath1L STARTFRAME=49 NUMFRAMES=24 RATE=15.0000 COMPRESS=1.00 GROUP=Waiting
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=Breath2 STARTFRAME=73 NUMFRAMES=21 RATE=10.0000 COMPRESS=1.00 GROUP=Waiting
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=Breath2L STARTFRAME=94 NUMFRAMES=24 RATE=15.0000 COMPRESS=1.00 GROUP=Waiting
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=Breath3 STARTFRAME=118 NUMFRAMES=24 RATE=11.0000 COMPRESS=1.00 GROUP=None
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=Challenge STARTFRAME=142 NUMFRAMES=43 RATE=15.0000 COMPRESS=1.00 GROUP=Gesture
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=Chat1 STARTFRAME=185 NUMFRAMES=40 RATE=15.0000 COMPRESS=1.00 GROUP=Waiting
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=Chat2 STARTFRAME=225 NUMFRAMES=41 RATE=15.0000 COMPRESS=1.00 GROUP=Waiting
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=CockGun STARTFRAME=266 NUMFRAMES=14 RATE=30.0000 COMPRESS=1.00 GROUP=Waiting
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=CockGunL STARTFRAME=280 NUMFRAMES=29 RATE=30.0000 COMPRESS=1.00 GROUP=Waiting
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=Dead1 STARTFRAME=309 NUMFRAMES=20 RATE=20.0000 COMPRESS=1.00 GROUP=TakeHit
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=Dead11 STARTFRAME=329 NUMFRAMES=26 RATE=15.0000 COMPRESS=1.00 GROUP=TakeHit
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=Dead2 STARTFRAME=355 NUMFRAMES=17 RATE=15.0000 COMPRESS=1.00 GROUP=TakeHit
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=Dead3 STARTFRAME=372 NUMFRAMES=22 RATE=15.0000 COMPRESS=1.00 GROUP=TakeHit
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=Dead4 STARTFRAME=394 NUMFRAMES=20 RATE=20.0000 COMPRESS=1.00 GROUP=TakeHit
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=Dead5 STARTFRAME=414 NUMFRAMES=29 RATE=15.0000 COMPRESS=1.00 GROUP=TakeHit
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=Dead7 STARTFRAME=443 NUMFRAMES=29 RATE=20.0000 COMPRESS=1.00 GROUP=TakeHit
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=Dead8 STARTFRAME=472 NUMFRAMES=29 RATE=15.0000 COMPRESS=1.00 GROUP=TakeHit
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=Dead9 STARTFRAME=501 NUMFRAMES=12 RATE=20.0000 COMPRESS=1.00 GROUP=TakeHit
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=Dead9B STARTFRAME=513 NUMFRAMES=24 RATE=15.0000 COMPRESS=1.00 GROUP=TakeHit
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=DeathEnd STARTFRAME=537 NUMFRAMES=1 RATE=30.0000 COMPRESS=1.00 GROUP=None
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=DeathEnd2 STARTFRAME=538 NUMFRAMES=1 RATE=30.0000 COMPRESS=1.00 GROUP=None
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=DeathEnd3 STARTFRAME=539 NUMFRAMES=1 RATE=30.0000 COMPRESS=1.00 GROUP=None
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=DodgeB STARTFRAME=540 NUMFRAMES=1 RATE=30.0000 COMPRESS=1.00 GROUP=Jumping
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=DodgeF STARTFRAME=541 NUMFRAMES=1 RATE=30.0000 COMPRESS=1.00 GROUP=Jumping
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=DodgeL STARTFRAME=542 NUMFRAMES=1 RATE=30.0000 COMPRESS=1.00 GROUP=Jumping
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=DodgeR STARTFRAME=543 NUMFRAMES=1 RATE=30.0000 COMPRESS=1.00 GROUP=Jumping
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=Duck STARTFRAME=544 NUMFRAMES=24 RATE=20.0000 COMPRESS=1.00 GROUP=Ducking
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=DuckWlkL STARTFRAME=568 NUMFRAMES=24 RATE=24.0000 COMPRESS=1.00 GROUP=Ducking
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=DuckWlkS STARTFRAME=592 NUMFRAMES=24 RATE=24.0000 COMPRESS=1.00 GROUP=Ducking
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=Fighter STARTFRAME=616 NUMFRAMES=1 RATE=30.0000 COMPRESS=1.00 GROUP=None
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=Flip STARTFRAME=617 NUMFRAMES=19 RATE=20.0000 COMPRESS=1.00 GROUP=Jumping
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=GutHit STARTFRAME=636 NUMFRAMES=1 RATE=30.0000 COMPRESS=1.00 GROUP=TakeHit
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=HeadHit STARTFRAME=637 NUMFRAMES=1 RATE=30.0000 COMPRESS=1.00 GROUP=TakeHit
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=JumpLGFR STARTFRAME=638 NUMFRAMES=1 RATE=30.0000 COMPRESS=1.00 GROUP=Jumping
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=JumpSMFR STARTFRAME=639 NUMFRAMES=1 RATE=30.0000 COMPRESS=1.00 GROUP=Jumping
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=LandLGFR STARTFRAME=640 NUMFRAMES=1 RATE=30.0000 COMPRESS=1.00 GROUP=Landing
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=LandSMFR STARTFRAME=641 NUMFRAMES=1 RATE=30.0000 COMPRESS=1.00 GROUP=Landing
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=LeftHit STARTFRAME=642 NUMFRAMES=1 RATE=30.0000 COMPRESS=1.00 GROUP=TakeHit
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=Look STARTFRAME=643 NUMFRAMES=22 RATE=10.0000 COMPRESS=1.00 GROUP=Waiting
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=RightHit STARTFRAME=665 NUMFRAMES=1 RATE=30.0000 COMPRESS=1.00 GROUP=TakeHit
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=RunLG STARTFRAME=666 NUMFRAMES=18 RATE=24.0000 COMPRESS=1.00 GROUP=None
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=RunLGFR STARTFRAME=684 NUMFRAMES=18 RATE=24.0000 COMPRESS=1.00 GROUP=MovingFire
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=RunSM STARTFRAME=702 NUMFRAMES=18 RATE=24.0000 COMPRESS=1.00 GROUP=None
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=RunSMFR STARTFRAME=720 NUMFRAMES=18 RATE=24.0000 COMPRESS=1.00 GROUP=MovingFire
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=StillFRRP STARTFRAME=738 NUMFRAMES=11 RATE=30.0000 COMPRESS=1.00 GROUP=Waiting
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=StillLGFR STARTFRAME=749 NUMFRAMES=12 RATE=30.0000 COMPRESS=1.00 GROUP=Waiting
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=StillSMFR STARTFRAME=761 NUMFRAMES=12 RATE=30.0000 COMPRESS=1.00 GROUP=Waiting
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=StrafeL STARTFRAME=773 NUMFRAMES=18 RATE=24.0000 COMPRESS=1.00 GROUP=MovingFire
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=StrafeR STARTFRAME=791 NUMFRAMES=18 RATE=24.0000 COMPRESS=1.00 GROUP=MovingFire
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=SwimLG STARTFRAME=809 NUMFRAMES=18 RATE=20.0000 COMPRESS=1.00 GROUP=None
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=SwimSM STARTFRAME=827 NUMFRAMES=18 RATE=20.0000 COMPRESS=1.00 GROUP=None
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=Taunt1 STARTFRAME=845 NUMFRAMES=22 RATE=20.0000 COMPRESS=1.00 GROUP=Gesture
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=Thrust STARTFRAME=867 NUMFRAMES=16 RATE=15.0000 COMPRESS=1.00 GROUP=Gesture
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=TreadLG STARTFRAME=883 NUMFRAMES=18 RATE=15.0000 COMPRESS=1.00 GROUP=Waiting
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=TreadSM STARTFRAME=901 NUMFRAMES=18 RATE=15.0000 COMPRESS=1.00 GROUP=Waiting
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=TurnLG STARTFRAME=983 NUMFRAMES=3 RATE=10.0000 COMPRESS=1.00 GROUP=None
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=TurnSM STARTFRAME=986 NUMFRAMES=5 RATE=10.0000 COMPRESS=1.00 GROUP=None
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=Victory1 STARTFRAME=991 NUMFRAMES=21 RATE=20.0000 COMPRESS=1.00 GROUP=Gesture
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=Walk STARTFRAME=1012 NUMFRAMES=23 RATE=24.0000 COMPRESS=1.00 GROUP=None
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=WalkLG STARTFRAME=1035 NUMFRAMES=24 RATE=24.0000 COMPRESS=1.00 GROUP=None
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=WalkLGFR STARTFRAME=1059 NUMFRAMES=24 RATE=24.0000 COMPRESS=1.00 GROUP=MovingFire
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=WalkSM STARTFRAME=1083 NUMFRAMES=24 RATE=24.0000 COMPRESS=1.00 GROUP=None
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=WalkSMFR STARTFRAME=1107 NUMFRAMES=24 RATE=24.0000 COMPRESS=1.00 GROUP=MovingFire
#EXEC ANIM  SEQUENCE ANIM=SoldierAnim SEQ=Wave STARTFRAME=1131 NUMFRAMES=21 RATE=20.0000 COMPRESS=1.00 GROUP=Gesture

// *** ANIMATION NOTIFIES ***
#exec ANIM DIGEST ANIM=SoldierAnim VERBOSE

#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=RunLG TIME=0.25 FUNCTION=PlayFootStep
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=RunLG TIME=0.75 FUNCTION=PlayFootStep
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=RunLGFR TIME=0.25 FUNCTION=PlayFootStep
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=RunLGFR TIME=0.75 FUNCTION=PlayFootStep
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=RunSM TIME=0.25 FUNCTION=PlayFootStep
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=RunSM TIME=0.75 FUNCTION=PlayFootStep
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=RunSMFR TIME=0.25 FUNCTION=PlayFootStep
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=RunSMFR TIME=0.75 FUNCTION=PlayFootStep
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=StrafeL TIME=0.25 FUNCTION=PlayFootStep
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=StrafeL TIME=0.75 FUNCTION=PlayFootStep
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=StrafeR TIME=0.25 FUNCTION=PlayFootStep
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=StrafeR TIME=0.75 FUNCTION=PlayFootStep
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=BackRun TIME=0.25 FUNCTION=PlayFootStep
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=BackRun TIME=0.75 FUNCTION=PlayFootStep
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=Dead1 TIME=0.7 FUNCTION=LandThump
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=Dead2 TIME=0.9 FUNCTION=LandThump
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=Dead3 TIME=0.45 FUNCTION=LandThump
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=Dead4 TIME=0.6 FUNCTION=LandThump
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=Dead7 TIME=0.7 FUNCTION=LandThump
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=Dead8 TIME=0.7 FUNCTION=LandThump
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=Dead9B TIME=0.8 FUNCTION=LandThump
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=Dead11 TIME=0.57 FUNCTION=LandThump
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=Challenge TIME=0.35 FUNCTION=PlayLoudStep

//#exec TEXTURE IMPORT NAME=ONIRedGirlCDoll FILE=TEXTURES\ONIRedGirlCSDoll.PCX GROUP="Icons" MIPS=OFF
//#exec TEXTURE IMPORT NAME=ONIRedGirlCBelt FILE=TEXTURES\ONIRedGirlCSBelt.PCX GROUP="Icons" MIPS=OFF

var bool bLastJumpAlt;

// Animation Functions from TournamentPlayer/SkeletalPlayer ~SZ
function PlayDodge(eDodgeDir DodgeMove)
{
	Velocity.Z = 210;
	if ( DodgeMove == DODGE_Left )
		TweenAnim('DodgeL', 0.25);
	else if ( DodgeMove == DODGE_Right )
		TweenAnim('DodgeR', 0.25);
	else if ( DodgeMove == DODGE_Back )
		TweenAnim('DodgeB', 0.25);
	else 
		PlayAnim('Flip', 1.35 * FMax(0.35, Region.Zone.ZoneGravity.Z/Region.Zone.Default.ZoneGravity.Z), 0.06);
}

function PlayChatting()
{
	if ( mesh != None )
		LoopAnim('Chat1', 0.7, 0.25);
}

function PlayWaiting()
{
	local name newAnim;

	if ( Mesh == None )
		return;

	if ( bIsTyping )
	{
		PlayChatting();
		return;
	}

	if ( (IsInState('PlayerSwimming')) || (Physics == PHYS_Swimming) )
	{
		BaseEyeHeight = 0.7 * Default.BaseEyeHeight;
		if ( (Weapon == None) || (Weapon.Mass < 20) )
			LoopAnim('TreadSM');
		else
			LoopAnim('TreadLG');
	}
	else
	{	
		BaseEyeHeight = Default.BaseEyeHeight;
		ViewRotation.Pitch = ViewRotation.Pitch & 65535;
		If ( (ViewRotation.Pitch > RotationRate.Pitch) 
			&& (ViewRotation.Pitch < 65536 - RotationRate.Pitch) )
		{
			If (ViewRotation.Pitch < 32768) 
			{
				if ( (Weapon == None) || (Weapon.Mass < 20) )
					TweenAnim('AimUpSm', 0.3);
				else
					TweenAnim('AimUpLg', 0.3);
			}
			else
			{
				if ( (Weapon == None) || (Weapon.Mass < 20) )
					TweenAnim('AimDnSm', 0.3);
				else
					TweenAnim('AimDnLg', 0.3);
			}
		}
		else if ( (Weapon != None) && Weapon.bPointing )
		{
			if ( Weapon.bRapidFire && ((bFire != 0) || (bAltFire != 0)) )
				LoopAnim('StillFRRP');
			else if ( Weapon.Mass < 20 )
				TweenAnim('StillSMFR', 0.3);
			else
				TweenAnim('StillFRRP', 0.3);
		}
		else
		{
			if ( FRand() < 0.1 )
			{
				if ( (Weapon == None) || (Weapon.Mass < 20) )
					PlayAnim('CockGun', 0.5 + 0.5 * FRand(), 0.3);
				else
					PlayAnim('CockGunL', 0.5 + 0.5 * FRand(), 0.3);
			}
			else
			{
				if ( (Weapon == None) || (Weapon.Mass < 20) )
				{
					if ( (FRand() < 0.75) && ((AnimSequence == 'Breath1') || (AnimSequence == 'Breath2')) )
						newAnim = AnimSequence;
					else if ( FRand() < 0.5 )
						newAnim = 'Breath1';
					else
						newAnim = 'Breath2';
				}
				else
				{
					if ( (FRand() < 0.75) && ((AnimSequence == 'Breath1L') || (AnimSequence == 'Breath2L')) )
						newAnim = AnimSequence;
					else if ( FRand() < 0.5 )
						newAnim = 'Breath1L';
					else
						newAnim = 'Breath2L';
				}
								
				if ( AnimSequence == newAnim )
					LoopAnim(newAnim, 0.4 + 0.4 * FRand());
				else
					PlayAnim(newAnim, 0.4 + 0.4 * FRand(), 0.25);
			}
		}
	}
}

function PlayTurning()
{
	BaseEyeHeight = Default.BaseEyeHeight;
	if ( (Weapon == None) || (Weapon.Mass < 20) )
		PlayAnim('TurnSM', 0.3, 0.3);
	else
		PlayAnim('TurnLG', 0.3, 0.3);
}

function TweenToWalking(float tweentime)
{
	BaseEyeHeight = Default.BaseEyeHeight;
	if (Weapon == None)
		TweenAnim('Walk', tweentime);
	else if ( Weapon.bPointing || (CarriedDecoration != None) ) 
	{
		if (Weapon.Mass < 20)
			TweenAnim('WalkSMFR', tweentime);
		else
			TweenAnim('WalkLGFR', tweentime);
	}
	else
	{
		if (Weapon.Mass < 20)
			TweenAnim('WalkSM', tweentime);
		else
			TweenAnim('WalkLG', tweentime);
	} 
}

function PlayWalking()
{
	BaseEyeHeight = Default.BaseEyeHeight;
	if (Weapon == None)
		LoopAnim('Walk');
	else if ( Weapon.bPointing || (CarriedDecoration != None) ) 
	{
		if (Weapon.Mass < 20)
			LoopAnim('WalkSMFR');
		else
			LoopAnim('WalkLGFR');
	}
	else
	{
		if (Weapon.Mass < 20)
			LoopAnim('WalkSM');
		else
			LoopAnim('WalkLG');
	}
}

function TweenToRunning(float tweentime)
{
	local vector X,Y,Z, Dir;

	BaseEyeHeight = Default.BaseEyeHeight;
	if (bIsWalking)
	{
		TweenToWalking(0.1);
		return;
	}

	GetAxes(Rotation, X,Y,Z);
	Dir = Normal(Acceleration);
	if ( (Dir Dot X < 0.75) && (Dir != vect(0,0,0)) )
	{
		// strafing or backing up
		if ( Dir Dot X < -0.75 )
			PlayAnim('BackRun', 0.9, tweentime);
		else if ( Dir Dot Y > 0 )
			PlayAnim('StrafeR', 0.9, tweentime);
		else
			PlayAnim('StrafeL', 0.9, tweentime);
	}
	else if (Weapon == None)
		PlayAnim('RunSM', 0.9, tweentime);
	else if ( Weapon.bPointing ) 
	{
		if (Weapon.Mass < 20)
			PlayAnim('RunSMFR', 0.9, tweentime);
		else
			PlayAnim('RunLGFR', 0.9, tweentime);
	}
	else
	{
		if (Weapon.Mass < 20)
			PlayAnim('RunSM', 0.9, tweentime);
		else
			PlayAnim('RunLG', 0.9, tweentime);
	} 
}

function PlayRunning()
{
	local vector X,Y,Z, Dir;

	BaseEyeHeight = Default.BaseEyeHeight;

	// determine facing direction
	GetAxes(Rotation, X,Y,Z);
	Dir = Normal(Acceleration);
	if ( (Dir Dot X < 0.75) && (Dir != vect(0,0,0)) )
	{
		// strafing or backing up
		if ( Dir Dot X < -0.75 )
			LoopAnim('BackRun');
		else if ( Dir Dot Y > 0 )
			LoopAnim('StrafeR');
		else
			LoopAnim('StrafeL');
	}
	else if (Weapon == None)
		LoopAnim('RunSM');
	else if ( Weapon.bPointing ) 
	{
		if (Weapon.Mass < 20)
			LoopAnim('RunSMFR');
		else
			LoopAnim('RunLGFR');
	}
	else
	{
		if (Weapon.Mass < 20)
			LoopAnim('RunSM');
		else
			LoopAnim('RunLG');
	}
}

function PlayRising()
{
	BaseEyeHeight = 0.4 * Default.BaseEyeHeight;
	TweenAnim('DuckWlkS', 0.7);
}

function PlayFeignDeath()
{
	local float decision;

	BaseEyeHeight = 0;
	decision = frand();
	if ( decision < 0.33 )
		TweenAnim('DeathEnd', 0.5);
	else if ( decision < 0.67 )
		TweenAnim('DeathEnd2', 0.5);
	else 
		TweenAnim('DeathEnd3', 0.5);
}

function PlayLanded(float impactVel)
{	
	impactVel = impactVel/JumpZ;
	impactVel = 0.1 * impactVel * impactVel;
	BaseEyeHeight = Default.BaseEyeHeight;

	if ( Role == ROLE_Authority )
	{
		if ( impactVel > 0.17 )
			PlaySound(LandGrunt, SLOT_Talk, FMin(5, 5 * impactVel),false,1200,FRand()*0.4+0.8);
		if( Level.FootprintManager!=None )
			Level.FootprintManager.Static.PlayLandingNoise(Self,0,impactVel);
		else if ( !FootRegion.Zone.bWaterZone && (impactVel > 0.01) )
			PlaySound(Land, SLOT_Interact, FClamp(4 * impactVel,0.5,5), false,1000, 1.0);
	}
		
	if ( (impactVel > 0.06) || (GetAnimGroup(AnimSequence) == 'Jumping') || (GetAnimGroup(AnimSequence) == 'Ducking') )
	{
		if ( (Weapon == None) || (Weapon.Mass < 20) )
			TweenAnim('LandSMFR', 0.12);
		else
			TweenAnim('LandLGFR', 0.12);
	}
	else if ( !IsAnimating() )
	{
		if ( GetAnimGroup(AnimSequence) == 'TakeHit' )
		{
			SetPhysics(PHYS_Walking);
			AnimEnd();
		}
		else 
		{
			if ( (Weapon == None) || (Weapon.Mass < 20) )
				TweenAnim('LandSMFR', 0.12);
			else
				TweenAnim('LandLGFR', 0.12);
		}
	}
}

function PlayInAir()
{
	local vector X,Y,Z, Dir;
	local float f, TweenTime;

	BaseEyeHeight =  0.7 * Default.BaseEyeHeight;

	if ( (GetAnimGroup(AnimSequence) == 'Landing') && !bLastJumpAlt )
	{
		GetAxes(Rotation, X,Y,Z);
		Dir = Normal(Acceleration);
		f = Dir dot Y;
		if ( f > 0.7 )
			TweenAnim('DodgeL', 0.35);
		else if ( f < -0.7 )
			TweenAnim('DodgeR', 0.35);
		else if ( Dir dot X > 0 )
			TweenAnim('DodgeF', 0.35);
		else
			TweenAnim('DodgeB', 0.35);
		bLastJumpAlt = true;
		return;
	}
	bLastJumpAlt = false;
	if ( GetAnimGroup(AnimSequence) == 'Jumping' )
	{
		if ( (Weapon == None) || (Weapon.Mass < 20) )
			TweenAnim('DuckWlkS', 2);
		else
			TweenAnim('DuckWlkL', 2);
		return;
	}
	else if ( GetAnimGroup(AnimSequence) == 'Ducking' )
		TweenTime = 2;
	else 
		TweenTime = 0.7;

	if ( AnimSequence == 'StrafeL' )
		TweenAnim('DodgeR', TweenTime);
	else if ( AnimSequence == 'StrafeR' )
		TweenAnim('DodgeL', TweenTime);
	else if ( AnimSequence == 'BackRun' )
		TweenAnim('DodgeB', TweenTime);
	else if ( (Weapon == None) || (Weapon.Mass < 20) )
		TweenAnim('JumpSMFR', TweenTime);
	else
		TweenAnim('JumpLGFR', TweenTime); 
}

function PlayDuck()
{
	BaseEyeHeight = 0;
	if ( (Weapon == None) || (Weapon.Mass < 20) )
		TweenAnim('DuckWlkS', 0.25);
	else
		TweenAnim('DuckWlkL', 0.25);
}

function PlayCrawling()
{
	//log("Play duck");
	BaseEyeHeight = 0;
	if ( (Weapon == None) || (Weapon.Mass < 20) )
		LoopAnim('DuckWlkS');
	else
		LoopAnim('DuckWlkL');
}

function TweenToWaiting(float tweentime)
{
	if ( (IsInState('PlayerSwimming')) || (Physics == PHYS_Swimming) )
	{
		BaseEyeHeight = 0.7 * Default.BaseEyeHeight;
		if ( (Weapon == None) || (Weapon.Mass < 20) )
			TweenAnim('TreadSM', tweentime);
		else
			TweenAnim('TreadLG', tweentime);
	}
	else
	{
		BaseEyeHeight = Default.BaseEyeHeight;
		if ( (Weapon == None) || (Weapon.Mass < 20) )
			TweenAnim('StillSMFR', tweentime);
		else 
			TweenAnim('StillFRRP', tweentime);
	}
}
	
function PlayRecoil(float Rate)
{
	if ( Weapon.bRapidFire )
	{
		if ( !IsAnimating() && (Physics == PHYS_Walking) )
			LoopAnim('StillFRRP', 0.02);
	}
	else if ( AnimSequence == 'StillSmFr' )
		PlayAnim('StillSmFr', Rate, 0.02);
	else if ( (AnimSequence == 'StillLgFr') || (AnimSequence == 'StillFrRp') )	
		PlayAnim('StillLgFr', Rate, 0.02);
}

function PlayFiring()
{
	// switch animation sequence mid-stream if needed
	if (AnimSequence == 'RunLG')
		AnimSequence = 'RunLGFR';
	else if (AnimSequence == 'RunSM')
		AnimSequence = 'RunSMFR';
	else if (AnimSequence == 'WalkLG')
		AnimSequence = 'WalkLGFR';
	else if (AnimSequence == 'WalkSM')
		AnimSequence = 'WalkSMFR';
	else if ( AnimSequence == 'JumpSMFR' )
		TweenAnim('JumpSMFR', 0.03);
	else if ( AnimSequence == 'JumpLGFR' )
		TweenAnim('JumpLGFR', 0.03);
	else if ( (GetAnimGroup(AnimSequence) == 'Waiting') || (GetAnimGroup(AnimSequence) == 'Gesture')
		&& (AnimSequence != 'TreadLG') && (AnimSequence != 'TreadSM') )
	{
		if ( Weapon.Mass < 20 )
			TweenAnim('StillSMFR', 0.02);
		else
			TweenAnim('StillFRRP', 0.02);
	}
}

function PlayWeaponSwitch(Weapon NewWeapon)
{
	if ( (Weapon == None) || (Weapon.Mass < 20) )
	{
		if ( (NewWeapon != None) && (NewWeapon.Mass > 20) )
		{
			if ( (AnimSequence == 'RunSM') || (AnimSequence == 'RunSMFR') )
				AnimSequence = 'RunLG';
			else if ( (AnimSequence == 'WalkSM') || (AnimSequence == 'WalkSMFR') )
				AnimSequence = 'WalkLG';	
		 	else if ( AnimSequence == 'JumpSMFR' )
		 		AnimSequence = 'JumpLGFR';
			else if ( AnimSequence == 'DuckWlkL' )
				AnimSequence = 'DuckWlkS';
		 	else if ( AnimSequence == 'StillSMFR' )
		 		AnimSequence = 'StillFRRP';
			else if ( AnimSequence == 'AimDnSm' )
				AnimSequence = 'AimDnLg';
			else if ( AnimSequence == 'AimUpSm' )
				AnimSequence = 'AimUpLg';
		 }	
	}
	else if ( (NewWeapon == None) || (NewWeapon.Mass < 20) )
	{		
		if ( (AnimSequence == 'RunLG') || (AnimSequence == 'RunLGFR') )
			AnimSequence = 'RunSM';
		else if ( (AnimSequence == 'WalkLG') || (AnimSequence == 'WalkLGFR') )
			AnimSequence = 'WalkSM';
	 	else if ( AnimSequence == 'JumpLGFR' )
	 		AnimSequence = 'JumpSMFR';
		else if ( AnimSequence == 'DuckWlkS' )
			AnimSequence = 'DuckWlkL';
	 	else if (AnimSequence == 'StillFRRP')
	 		AnimSequence = 'StillSMFR';
		else if ( AnimSequence == 'AimDnLg' )
			AnimSequence = 'AimDnSm';
		else if ( AnimSequence == 'AimUpLg' )
			AnimSequence = 'AimUpSm';
	}
}

function PlaySwimming()
{
	BaseEyeHeight = 0.7 * Default.BaseEyeHeight;
	if ((Weapon == None) || (Weapon.Mass < 20) )
		LoopAnim('SwimSM');
	else
		LoopAnim('SwimLG');
}

function TweenToSwimming(float tweentime)
{
	BaseEyeHeight = 0.7 * Default.BaseEyeHeight;
	if ((Weapon == None) || (Weapon.Mass < 20) )
		TweenAnim('SwimSM',tweentime);
	else
		TweenAnim('SwimLG',tweentime);
}

function PlayDying(name DamageType, vector HitLoc)
{
	BaseEyeHeight = Default.BaseEyeHeight;
	PlayDyingSound();
			
	if ( DamageType == 'Suicided' )
	{
		PlayAnim('Dead8',, 0.1);
		return;
	}

	// check for head hit
	if ( (DamageType == 'Decapitated') && !Level.Game.bVeryLowGore )
	{
		PlayDecap();
		return;
	}

	if ( FRand() < 0.15 )
	{
		PlayAnim('Dead2',,0.1);
		return;
	}

	// check for big hit
	if ( (Velocity.Z > 250) && (FRand() < 0.75) )
	{
		if ( FRand() < 0.5 )
			PlayAnim('Dead1',,0.1);
		else
			PlayAnim('Dead11',, 0.1);
		return;
	}

	// check for repeater death
	/*
	if ( (Health > -10) && ((DamageType == 'shot') || (DamageType == 'zapped')) )
	{
		PlayAnim('Dead9',, 0.1);
		return;
	}
	*/	
	if ( (HitLoc.Z - Location.Z > 0.7 * CollisionHeight) && !class'GameInfo'.Default.bLowGore )
	{
		if ( FRand() < 0.5 )
			PlayDecap();
		else
			PlayAnim('Dead7',, 0.1);
		return;
	}
	
	if ( Region.Zone.bWaterZone || (FRand() < 0.5) ) //then hit in front or back
		PlayAnim('Dead3',, 0.1);
	else
		PlayAnim('Dead8',, 0.1);
}

function PlayDecap()
{
	local carcass carc;

	PlayAnim('Dead4',, 0.1);
	if ( Level.NetMode != NM_Client )
	{
		carc = Spawn(class 'FemaleHead',,, Location + CollisionHeight * vect(0,0,0.8), Rotation + rot(3000,0,16384) );
		if (carc != None)
		{
			carc.Initfor(self);
			carc.Velocity = Velocity + VSize(Velocity) * VRand();
			carc.Velocity.Z = FMax(carc.Velocity.Z, Velocity.Z);
		}
	}
}

function PlayGutHit(float tweentime)
{
	if ( (AnimSequence == 'GutHit') || (AnimSequence == 'Dead2') )
	{
		if (FRand() < 0.5)
			TweenAnim('LeftHit', tweentime);
		else
			TweenAnim('RightHit', tweentime);
	}
	else if ( FRand() < 0.6 )
		TweenAnim('GutHit', tweentime);
	else
		TweenAnim('Dead8', tweentime);

}

function PlayHeadHit(float tweentime)
{
	if ( (AnimSequence == 'HeadHit') || (AnimSequence == 'Dead4') )
		TweenAnim('GutHit', tweentime);
	else if ( FRand() < 0.6 )
		TweenAnim('HeadHit', tweentime);
	else
		TweenAnim('Dead7', tweentime);
}

function PlayLeftHit(float tweentime)
{
	if ( (AnimSequence == 'LeftHit') || (AnimSequence == 'Dead3') )
		TweenAnim('GutHit', tweentime);
	else if ( FRand() < 0.6 )
		TweenAnim('LeftHit', tweentime);
	else 
		TweenAnim('Dead8', tweentime);
}

function PlayRightHit(float tweentime)
{
	if ( (AnimSequence == 'RightHit') || (AnimSequence == 'Dead5') )
		TweenAnim('GutHit', tweentime);
	else if ( FRand() < 0.6 )
		TweenAnim('RightHit', tweentime);
	else
		TweenAnim('Dead3', tweentime);
}

defaultproperties
{
	bIsHuman=True
	BaseEyeHeight=23.000000
	EyeHeight=23.000000
	CollisionHeight=39
	CollisionRadius=17
	CarcassType=Class'ONIRedGirlCCarcass'
	Skin=Texture'ONIRedGirlCSkins.ESRedC'
	Mesh=SkeletalMesh'ONIRedGirlC.ONIRedGirlC'
	Buoyancy=99.000000
	MenuName="ONI RedGirlC"
   	drown=Sound'UnrealShare.Female.mdrown2fem'
	breathagain=Sound'UnrealShare.Female.hgasp3fem'
	HitSound3=Sound'ONIRedGirlC.UTFemale.hit03'
	HitSound4=Sound'ONIRedGirlC.UTFemale.hit04'
	Die2=Sound'ONIRedGirlC.UTFemale.death02'
	Die3=Sound'ONIRedGirlC.UTFemale.death03'
	Die4=Sound'ONIRedGirlC.UTFemale.death04'
	//Die5=Sound'ONIRedGirlC.UTFemale.death05'
	GaspSound=Sound'UnrealShare.Female.lgasp1fem'
	UWHit1=Sound'UnrealShare.Female.FUWHit1'
	UWHit2=Sound'UnrealShare.Male.MUWHit2'
	LandGrunt=Sound'ONIRedGirlC.UTFemale.land01'
	JumpSound=Sound'ONIRedGirlC.UTFemale.jump01'
	bIsFemale=True
	HitSound1=Sound'ONIRedGirlC.UTFemale.hit01'
	HitSound2=Sound'ONIRedGirlC.UTFemale.hit02'
	Die=Sound'ONIRedGirlC.UTFemale.death01'
	Footstep1=Sound'UnrealShare.Female.stwalk1'
	Footstep2=Sound'UnrealShare.Female.stwalk2'
	Footstep3=Sound'UnrealShare.Female.stwalk3'
}